.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the MeshInstance2D.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_MeshInstance2D:

MeshInstance2D
==============

**Inherits:** :ref:`Node2D<class_node2d>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Variables
----------------

  .. _class_MeshInstance2D_mesh:

- :ref:`Mesh<class_mesh>` **mesh**

  .. _class_MeshInstance2D_normal_map:

- :ref:`Texture<class_texture>` **normal_map**

  .. _class_MeshInstance2D_texture:

- :ref:`Texture<class_texture>` **texture**


